# Books API . promooffer

## Instance Methods

Returns a list of promo offers available to the user

### Method Details

`accept(product=None, device=None, offerId=None, volumeId=None, androidId=None, model=None, serial=None, manufacturer=None)`

    Args:
      product: string, device product
      device: string, device device
      offerId: string, A parameter
      volumeId: string, Volume id to exercise the offer
      androidId: string, device android_id
      model: string, device model
      serial: string, device serial
      manufacturer: string, device manufacturer

`dismiss(product=None, device=None, offerId=None, androidId=None, model=None, serial=None, manufacturer=None)`

    Args:
      product: string, device product
      device: string, device device
      offerId: string, Offer to dimiss
      androidId: string, device android_id
      model: string, device model
      serial: string, device serial
      manufacturer: string, device manufacturer

`get(product=None, device=None, androidId=None, model=None, serial=None, manufacturer=None)`

    Returns a list of promo offers available to the user

    Args:
      product: string, device product
      device: string, device device
      androidId: string, device android_id
      model: string, device model
      serial: string, device serial
      manufacturer: string, device manufacturer

    Returns:
      An object of the form:

        {
        "items": [ # A list of offers.
          {
            "gservicesKey": "A String",
            "items": [
              {
                "description": "A String",
                "title": "A String",
                "author": "A String",
                "coverUrl": "A String",
                "volumeId": "A String",
                "canonicalVolumeLink": "A String",
              },
            ],
            "artUrl": "A String",
            "id": "A String",
          },
        ],
        "kind": "promooffer#offers", # Resource type.
      }